Subject: Re: [PATCH 00/10] Factorization of messages with similar meaning

From: Junio C Hamano <[email-masked]>
Date: Sat, 04 Dec 2021 23:31:38 -0800

Johannes Sixt <[email-masked]> writes:

> Another aspect is that translators lose context. For example, "%s and %s
> are mutally exclusive" may have to be translated differently depending
> on what kind of text is substituted for %s. In this example it's
> probably always command line options (I haven't checked), so not an
> immediate problem. But something to keep in mind.

Yup.  I do not think we are quite ready to have two identical msgid
strings to be translated into two different msgstr strings.  We've
briefly talked about pgettext() a few months ago, but nothing
concrete came out of it, as far as I can recall.